Subject: Re: PATCH: improve git switch documentation

From: Sergey Organov <[email-masked]>
Date: Sun, 11 Jul 2021 17:49:25 +0300

Martin <[email-masked]> writes:

> On 11/07/2021 14:23, Sergey Organov wrote:

[...]

>>>> Once that is regularized, we may as well consider allowing for inverse
>>>> order of the first 2 arguments, by making
>>>>     git new remote
>>>>     git remote new
>>>> the synonyms.
>>>
>>> Having even more ways to do one and the same thing....
>> Python was aiming to have one obvious way of doing every single thing...
>> Did it succeed in that, I wonder? Maybe this aim is only good in theory?
>
> We are way away from having "one single way". But aiming for the
> extreme opposite may not be any smarter.

I don't like extremes either, but when there is a choice, there should
be at last a stated preferred way of doing things. Guidelines, if not
the rules. Otherwise we end up with an ugly mix of random preferences of
different authors.

>
> While there is nothing wrong with going our own way in the end, maybe
> we should look around before?
>
> How do other vcs do it?
>
> svn has at least status and log, which I would consider nouns, the way
> they are used. And it has verbs too.
>
> hg as "branches", "files" which are nouns. And "log".
> And it has verbs too.
>
> So there seems to be a pattern to using "mixed" verbs and nouns.

There are so many things they did wrong... This could well be just
another one.

Thanks,
-- 
Sergey Organov